# UVMap Class Reference

List of all members.

## Public Member Functions
| UVMap ()
void | SetUsePixelBucket ()
void | SetUseRasterLayer ()
void | SetPixelBucket (TMCPixelBucket *fPixelBucket, const int32 uvSpaceID)
TMCPixelBucket * | GetPixelBucket (const int32 uvSpaceID)
TMCCountedPtr< IShRasterLayer > | GetRasterLayer (const int32 uvSpaceID) const
void | SetRasterLayer (TMCCountedPtr< IShRasterLayer > rasterLayer, const int32 uvSpaceID)
TMCPtrArray< TMCPixelBucket > & | GetPixelBucketArray ()
void | SetHasAlphaChannel (const int32 uvSpaceID, boolean hasAlpha)
boolean | GetHasAlphaChannel (const int32 uvSpaceID)
void | SetInvalidTextureRectCallback (const int32 uvSpaceID, InvalidTextureRectCallback *callback)
InvalidTextureRectCallback * | GetInvalidTextureRectCallback (const int32 uvSpaceID)
## Public Attributes
boolean | fUsePixelBucket
boolean | fUseRasterLayer
## Protected Attributes
TMCPtrArray< TMCPixelBucket > | fPixelBucketArray
TMCCountedPtrArray < IShRasterLayer > | fRasterLayerArray
TMCArray< boolean > | fHasAlphaChannel
TMCPtrArray < InvalidTextureRectCallback > | fInvalidTextureRectCallbacks

## Detailed Description

Stores the texture map calculated for an instance. (see I3DShInstance::GetFlatennedTexturesSync)

## Constructor & Destructor Documentation

UVMap::UVMap | ( |  | ) | `[inline]`

## Member Function Documentation

boolean UVMap::GetHasAlphaChannel | ( | const int32 | uvSpaceID | ) | `[inline]`

InvalidTextureRectCallback* UVMap::GetInvalidTextureRectCallback | ( | const int32 | uvSpaceID | ) | `[inline]`

TMCPixelBucket* UVMap::GetPixelBucket | ( | const int32 | uvSpaceID | ) | `[inline]`

TMCPtrArray<TMCPixelBucket>& UVMap::GetPixelBucketArray | ( |  | ) | `[inline]`

TMCCountedPtr<IShRasterLayer> UVMap::GetRasterLayer | ( | const int32 | uvSpaceID | ) | const`[inline]`

void UVMap::SetHasAlphaChannel | ( | const int32 | uvSpaceID,
|  | boolean | hasAlpha |
| ) |  |  | `[inline]`

void UVMap::SetInvalidTextureRectCallback | ( | const int32 | uvSpaceID,
|  | InvalidTextureRectCallback * | callback |
| ) |  |  | `[inline]`

void UVMap::SetPixelBucket | ( | TMCPixelBucket * | fPixelBucket,
|  | const int32 | uvSpaceID |
| ) |  |  | `[inline]`

void UVMap::SetRasterLayer | ( | TMCCountedPtr< IShRasterLayer > | rasterLayer,
|  | const int32 | uvSpaceID |
| ) |  |  | `[inline]`

void UVMap::SetUsePixelBucket | ( |  | ) | `[inline]`

void UVMap::SetUseRasterLayer | ( |  | ) | `[inline]`

## Member Data Documentation

TMCArray<boolean> UVMap::fHasAlphaChannel`[protected]`

TMCPtrArray<InvalidTextureRectCallback> UVMap::fInvalidTextureRectCallbacks`[protected]`

TMCPtrArray<TMCPixelBucket> UVMap::fPixelBucketArray`[protected]`

TMCCountedPtrArray<IShRasterLayer> UVMap::fRasterLayerArray`[protected]`

boolean UVMap::fUsePixelBucket

boolean UVMap::fUseRasterLayer

The documentation for this class was generated from the following file:

- UVMaps.h